Bug 487426 - rhnpush rpm should Requires: rhnlib
rhnpush rpm should Requires: rhnlib
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-25 17:01 EST by Jesus M. Rodriguez
Modified: 2009-09-17 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2009-02-25 17:01:55 EST
Description of problem:
rhnpush builds and installs *without* rhnlib, but it won't run without it.

Version-Release number of selected component (if applicable):


How reproducible:
build and install rhnpush (without rhnlib), run rhnlib

Steps to Reproduce:
1. wget http://www.redhat.com/spacewalk/source/0.4/rhnpush-0.3.1-1.el5.src.rpm
2. rpm -i rhnpush-0.3.1-1.el5.src.rpm
3. cd $HOME/rpmbuild/SPECS (or whereever you build local rpms)
4. rpmbuild -ba rhnpush.spec
5. cd $HOME/rpmbuild/RPMS/noarch/
6. sudo rpm -Uvh rhnpush-0.3.1-1.fc9.noarch.rpm
7. rhnpush --help
  
Actual results:
[speedy@gonzalez ~]$ rhnpush --help
Unable to load module rhnpush
No module named rhn.rpclib

Expected results:
1) expect rhnpush to complain that rhnlib is not installed, so rhnpush
should Requires: rhnlib.
2) expect rhnpush to work once installed

Additional info:
Comment 1 Pradeep Kilambi 2009-02-25 19:00:07 EST
fixed!

commit 199074898d5a166b48f1bdada06491904b4c3342
Comment 2 Jesus M. Rodriguez 2009-04-14 10:13:15 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:10:38 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.